org.apache.poi.sl.draw.binding

## Enum STShapeType

- java.lang.Object
- - java.lang.Enum<STShapeType>
  - - org.apache.poi.sl.draw.binding.STShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STShapeType>

      public enum STShapeType
      extends java.lang.Enum<STShapeType>

  Java class for ST_ShapeType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_ShapeType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="line"/>
           <enumeration value="lineInv"/>
           <enumeration value="triangle"/>
           <enumeration value="rtTriangle"/>
           <enumeration value="rect"/>
           <enumeration value="diamond"/>
           <enumeration value="parallelogram"/>
           <enumeration value="trapezoid"/>
           <enumeration value="nonIsoscelesTrapezoid"/>
           <enumeration value="pentagon"/>
           <enumeration value="hexagon"/>
           <enumeration value="heptagon"/>
           <enumeration value="octagon"/>
           <enumeration value="decagon"/>
           <enumeration value="dodecagon"/>
           <enumeration value="star4"/>
           <enumeration value="star5"/>
           <enumeration value="star6"/>
           <enumeration value="star7"/>
           <enumeration value="star8"/>
           <enumeration value="star10"/>
           <enumeration value="star12"/>
           <enumeration value="star16"/>
           <enumeration value="star24"/>
           <enumeration value="star32"/>
           <enumeration value="roundRect"/>
           <enumeration value="round1Rect"/>
           <enumeration value="round2SameRect"/>
           <enumeration value="round2DiagRect"/>
           <enumeration value="snipRoundRect"/>
           <enumeration value="snip1Rect"/>
           <enumeration value="snip2SameRect"/>
           <enumeration value="snip2DiagRect"/>
           <enumeration value="plaque"/>
           <enumeration value="ellipse"/>
           <enumeration value="teardrop"/>
           <enumeration value="homePlate"/>
           <enumeration value="chevron"/>
           <enumeration value="pieWedge"/>
           <enumeration value="pie"/>
           <enumeration value="blockArc"/>
           <enumeration value="donut"/>
           <enumeration value="noSmoking"/>
           <enumeration value="rightArrow"/>
           <enumeration value="leftArrow"/>
           <enumeration value="upArrow"/>
           <enumeration value="downArrow"/>
           <enumeration value="stripedRightArrow"/>
           <enumeration value="notchedRightArrow"/>
           <enumeration value="bentUpArrow"/>
           <enumeration value="leftRightArrow"/>
           <enumeration value="upDownArrow"/>
           <enumeration value="leftUpArrow"/>
           <enumeration value="leftRightUpArrow"/>
           <enumeration value="quadArrow"/>
           <enumeration value="leftArrowCallout"/>
           <enumeration value="rightArrowCallout"/>
           <enumeration value="upArrowCallout"/>
           <enumeration value="downArrowCallout"/>
           <enumeration value="leftRightArrowCallout"/>
           <enumeration value="upDownArrowCallout"/>
           <enumeration value="quadArrowCallout"/>
           <enumeration value="bentArrow"/>
           <enumeration value="uturnArrow"/>
           <enumeration value="circularArrow"/>
           <enumeration value="leftCircularArrow"/>
           <enumeration value="leftRightCircularArrow"/>
           <enumeration value="curvedRightArrow"/>
           <enumeration value="curvedLeftArrow"/>
           <enumeration value="curvedUpArrow"/>
           <enumeration value="curvedDownArrow"/>
           <enumeration value="swooshArrow"/>
           <enumeration value="cube"/>
           <enumeration value="can"/>
           <enumeration value="lightningBolt"/>
           <enumeration value="heart"/>
           <enumeration value="sun"/>
           <enumeration value="moon"/>
           <enumeration value="smileyFace"/>
           <enumeration value="irregularSeal1"/>
           <enumeration value="irregularSeal2"/>
           <enumeration value="foldedCorner"/>
           <enumeration value="bevel"/>
           <enumeration value="frame"/>
           <enumeration value="halfFrame"/>
           <enumeration value="corner"/>
           <enumeration value="diagStripe"/>
           <enumeration value="chord"/>
           <enumeration value="arc"/>
           <enumeration value="leftBracket"/>
           <enumeration value="rightBracket"/>
           <enumeration value="leftBrace"/>
           <enumeration value="rightBrace"/>
           <enumeration value="bracketPair"/>
           <enumeration value="bracePair"/>
           <enumeration value="straightConnector1"/>
           <enumeration value="bentConnector2"/>
           <enumeration value="bentConnector3"/>
           <enumeration value="bentConnector4"/>
           <enumeration value="bentConnector5"/>
           <enumeration value="curvedConnector2"/>
           <enumeration value="curvedConnector3"/>
           <enumeration value="curvedConnector4"/>
           <enumeration value="curvedConnector5"/>
           <enumeration value="callout1"/>
           <enumeration value="callout2"/>
           <enumeration value="callout3"/>
           <enumeration value="accentCallout1"/>
           <enumeration value="accentCallout2"/>
           <enumeration value="accentCallout3"/>
           <enumeration value="borderCallout1"/>
           <enumeration value="borderCallout2"/>
           <enumeration value="borderCallout3"/>
           <enumeration value="accentBorderCallout1"/>
           <enumeration value="accentBorderCallout2"/>
           <enumeration value="accentBorderCallout3"/>
           <enumeration value="wedgeRectCallout"/>
           <enumeration value="wedgeRoundRectCallout"/>
           <enumeration value="wedgeEllipseCallout"/>
           <enumeration value="cloudCallout"/>
           <enumeration value="cloud"/>
           <enumeration value="ribbon"/>
           <enumeration value="ribbon2"/>
           <enumeration value="ellipseRibbon"/>
           <enumeration value="ellipseRibbon2"/>
           <enumeration value="leftRightRibbon"/>
           <enumeration value="verticalScroll"/>
           <enumeration value="horizontalScroll"/>
           <enumeration value="wave"/>
           <enumeration value="doubleWave"/>
           <enumeration value="plus"/>
           <enumeration value="flowChartProcess"/>
           <enumeration value="flowChartDecision"/>
           <enumeration value="flowChartInputOutput"/>
           <enumeration value="flowChartPredefinedProcess"/>
           <enumeration value="flowChartInternalStorage"/>
           <enumeration value="flowChartDocument"/>
           <enumeration value="flowChartMultidocument"/>
           <enumeration value="flowChartTerminator"/>
           <enumeration value="flowChartPreparation"/>
           <enumeration value="flowChartManualInput"/>
           <enumeration value="flowChartManualOperation"/>
           <enumeration value="flowChartConnector"/>
           <enumeration value="flowChartPunchedCard"/>
           <enumeration value="flowChartPunchedTape"/>
           <enumeration value="flowChartSummingJunction"/>
           <enumeration value="flowChartOr"/>
           <enumeration value="flowChartCollate"/>
           <enumeration value="flowChartSort"/>
           <enumeration value="flowChartExtract"/>
           <enumeration value="flowChartMerge"/>
           <enumeration value="flowChartOfflineStorage"/>
           <enumeration value="flowChartOnlineStorage"/>
           <enumeration value="flowChartMagneticTape"/>
           <enumeration value="flowChartMagneticDisk"/>
           <enumeration value="flowChartMagneticDrum"/>
           <enumeration value="flowChartDisplay"/>
           <enumeration value="flowChartDelay"/>
           <enumeration value="flowChartAlternateProcess"/>
           <enumeration value="flowChartOffpageConnector"/>
           <enumeration value="actionButtonBlank"/>
           <enumeration value="actionButtonHome"/>
           <enumeration value="actionButtonHelp"/>
           <enumeration value="actionButtonInformation"/>
           <enumeration value="actionButtonForwardNext"/>
           <enumeration value="actionButtonBackPrevious"/>
           <enumeration value="actionButtonEnd"/>
           <enumeration value="actionButtonBeginning"/>
           <enumeration value="actionButtonReturn"/>
           <enumeration value="actionButtonDocument"/>
           <enumeration value="actionButtonSound"/>
           <enumeration value="actionButtonMovie"/>
           <enumeration value="gear6"/>
           <enumeration value="gear9"/>
           <enumeration value="funnel"/>
           <enumeration value="mathPlus"/>
           <enumeration value="mathMinus"/>
           <enumeration value="mathMultiply"/>
           <enumeration value="mathDivide"/>
           <enumeration value="mathEqual"/>
           <enumeration value="mathNotEqual"/>
           <enumeration value="cornerTabs"/>
           <enumeration value="squareTabs"/>
           <enumeration value="plaqueTabs"/>
           <enumeration value="chartX"/>
           <enumeration value="chartStar"/>
           <enumeration value="chartPlus"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT_BORDER_CALLOUT_1` Callout 1 with Border and Accent Shape
    `ACCENT_BORDER_CALLOUT_2` Callout 2 with Border and Accent Shape
    `ACCENT_BORDER_CALLOUT_3` Callout 3 with Border and Accent Shape
    `ACCENT_CALLOUT_1` Callout 1 Shape
    `ACCENT_CALLOUT_2` Callout 2 Shape
    `ACCENT_CALLOUT_3` Callout 3 Shape
    `ACTION_BUTTON_BACK_PREVIOUS` Back or Previous Button Shape
    `ACTION_BUTTON_BEGINNING` Beginning Button Shape
    `ACTION_BUTTON_BLANK` Blank Button Shape
    `ACTION_BUTTON_DOCUMENT` Document Button Shape
    `ACTION_BUTTON_END` End Button Shape
    `ACTION_BUTTON_FORWARD_NEXT` Forward or Next Button Shape
    `ACTION_BUTTON_HELP` Help Button Shape
    `ACTION_BUTTON_HOME` Home Button Shape
    `ACTION_BUTTON_INFORMATION` Information Button Shape
    `ACTION_BUTTON_MOVIE` Movie Button Shape
    `ACTION_BUTTON_RETURN` Return Button Shape
    `ACTION_BUTTON_SOUND` Sound Button Shape
    `ARC` Curved Arc Shape
    `BENT_ARROW` Bent Arrow Shape
    `BENT_CONNECTOR_2` Bent Connector 2 Shape
    `BENT_CONNECTOR_3` Bent Connector 3 Shape
    `BENT_CONNECTOR_4` Bent Connector 4 Shape
    `BENT_CONNECTOR_5` Bent Connector 5 Shape
    `BENT_UP_ARROW` Bent Up Arrow Shape
    `BEVEL` Bevel Shape
    `BLOCK_ARC` Block Arc Shape
    `BORDER_CALLOUT_1` Callout 1 with Border Shape
    `BORDER_CALLOUT_2` Callout 2 with Border Shape
    `BORDER_CALLOUT_3` Callout 3 with Border Shape
    `BRACE_PAIR` Brace Pair Shape
    `BRACKET_PAIR` Bracket Pair Shape
    `CALLOUT_1` Callout 1 Shape
    `CALLOUT_2` Callout 2 Shape
    `CALLOUT_3` Callout 3 Shape
    `CAN` Can Shape
    `CHART_PLUS` Chart Plus Shape
    `CHART_STAR` Chart Star Shape
    `CHART_X` Chart X Shape
    `CHEVRON` Chevron Shape
    `CHORD` Chord Shape
    `CIRCULAR_ARROW` Circular Arrow Shape
    `CLOUD` Cloud Shape
    `CLOUD_CALLOUT` Callout Cloud Shape
    `CORNER` Corner Shape
    `CORNER_TABS` Corner Tabs Shape
    `CUBE` Cube Shape
    `CURVED_CONNECTOR_2` Curved Connector 2 Shape
    `CURVED_CONNECTOR_3` Curved Connector 3 Shape
    `CURVED_CONNECTOR_4` Curved Connector 4 Shape
    `CURVED_CONNECTOR_5` Curved Connector 5 Shape
    `CURVED_DOWN_ARROW` Curved Down Arrow Shape
    `CURVED_LEFT_ARROW` Curved Left Arrow Shape
    `CURVED_RIGHT_ARROW` Curved Right Arrow Shape
    `CURVED_UP_ARROW` Curved Up Arrow Shape
    `DECAGON` Decagon Shape
    `DIAG_STRIPE` Diagonal Stripe Shape
    `DIAMOND` Diamond Shape
    `DODECAGON` Dodecagon Shape
    `DONUT` Donut Shape
    `DOUBLE_WAVE` Double Wave Shape
    `DOWN_ARROW` Down Arrow Shape
    `DOWN_ARROW_CALLOUT` Callout Down Arrow Shape
    `ELLIPSE` Ellipse Shape
    `ELLIPSE_RIBBON` Ellipse Ribbon Shape
    `ELLIPSE_RIBBON_2` Ellipse Ribbon 2 Shape
    `FLOW_CHART_ALTERNATE_PROCESS` Alternate Process Flow Shape
    `FLOW_CHART_COLLATE` Collate Flow Shape
    `FLOW_CHART_CONNECTOR` Connector Flow Shape
    `FLOW_CHART_DECISION` Decision Flow Shape
    `FLOW_CHART_DELAY` Delay Flow Shape
    `FLOW_CHART_DISPLAY` Display Flow Shape
    `FLOW_CHART_DOCUMENT` Document Flow Shape
    `FLOW_CHART_EXTRACT` Extract Flow Shape
    `FLOW_CHART_INPUT_OUTPUT` Input Output Flow Shape
    `FLOW_CHART_INTERNAL_STORAGE` Internal Storage Flow Shape
    `FLOW_CHART_MAGNETIC_DISK` Magnetic Disk Flow Shape
    `FLOW_CHART_MAGNETIC_DRUM` Magnetic Drum Flow Shape
    `FLOW_CHART_MAGNETIC_TAPE` Magnetic Tape Flow Shape
    `FLOW_CHART_MANUAL_INPUT` Manual Input Flow Shape
    `FLOW_CHART_MANUAL_OPERATION` Manual Operation Flow Shape
    `FLOW_CHART_MERGE` Merge Flow Shape
    `FLOW_CHART_MULTIDOCUMENT` Multi-Document Flow Shape
    `FLOW_CHART_OFFLINE_STORAGE` Offline Storage Flow Shape
    `FLOW_CHART_OFFPAGE_CONNECTOR` Off-Page Connector Flow Shape
    `FLOW_CHART_ONLINE_STORAGE` Online Storage Flow Shape
    `FLOW_CHART_OR` Or Flow Shape
    `FLOW_CHART_PREDEFINED_PROCESS` Predefined Process Flow Shape
    `FLOW_CHART_PREPARATION` Preparation Flow Shape
    `FLOW_CHART_PROCESS` Process Flow Shape
    `FLOW_CHART_PUNCHED_CARD` Punched Card Flow Shape
    `FLOW_CHART_PUNCHED_TAPE` Punched Tape Flow Shape
    `FLOW_CHART_SORT` Sort Flow Shape
    `FLOW_CHART_SUMMING_JUNCTION` Summing Junction Flow Shape
    `FLOW_CHART_TERMINATOR` Terminator Flow Shape
    `FOLDED_CORNER` Folded Corner Shape
    `FRAME` Frame Shape
    `FUNNEL` Funnel Shape
    `GEAR_6` Gear 6 Shape
    `GEAR_9` Gear 9 Shape
    `HALF_FRAME` Half Frame Shape
    `HEART` Heart Shape
    `HEPTAGON` Heptagon Shape
    `HEXAGON` Hexagon Shape
    `HOME_PLATE` Home Plate Shape
    `HORIZONTAL_SCROLL` Horizontal Scroll Shape
    `IRREGULAR_SEAL_1` Irregular Seal 1 Shape
    `IRREGULAR_SEAL_2` Irregular Seal 2 Shape
    `LEFT_ARROW` Left Arrow Shape
    `LEFT_ARROW_CALLOUT` Callout Left Arrow Shape
    `LEFT_BRACE` Left Brace Shape
    `LEFT_BRACKET` Left Bracket Shape
    `LEFT_CIRCULAR_ARROW` Left Circular Arrow Shape
    `LEFT_RIGHT_ARROW` Left Right Arrow Shape
    `LEFT_RIGHT_ARROW_CALLOUT` Callout Left Right Arrow Shape
    `LEFT_RIGHT_CIRCULAR_ARROW` Left Right Circular Arrow Shape
    `LEFT_RIGHT_RIBBON` Left Right Ribbon Shape
    `LEFT_RIGHT_UP_ARROW` Left Right Up Arrow Shape
    `LEFT_UP_ARROW` Left Up Arrow Shape
    `LIGHTNING_BOLT` Lightning Bolt Shape
    `LINE` Line Shape
    `LINE_INV` Line Inverse Shape
    `MATH_DIVIDE` Divide Math Shape
    `MATH_EQUAL` Equal Math Shape
    `MATH_MINUS` Minus Math Shape
    `MATH_MULTIPLY` Multiply Math Shape
    `MATH_NOT_EQUAL` Not Equal Math Shape
    `MATH_PLUS` Plus Math Shape
    `MOON` Moon Shape
    `NO_SMOKING` No Smoking Shape
    `NON_ISOSCELES_TRAPEZOID` Non-Isosceles Trapezoid Shape
    `NOTCHED_RIGHT_ARROW` Notched Right Arrow Shape
    `OCTAGON` Octagon Shape
    `PARALLELOGRAM` Parallelogram Shape
    `PENTAGON` Pentagon Shape
    `PIE` Pie Shape
    `PIE_WEDGE` Pie Wedge Shape
    `PLAQUE` Plaque Shape
    `PLAQUE_TABS` Plaque Tabs Shape
    `PLUS` Plus Shape
    `QUAD_ARROW` Quad-Arrow Shape
    `QUAD_ARROW_CALLOUT` Callout Quad-Arrow Shape
    `RECT` Rectangle Shape
    `RIBBON` Ribbon Shape
    `RIBBON_2` Ribbon 2 Shape
    `RIGHT_ARROW` Right Arrow Shape
    `RIGHT_ARROW_CALLOUT` Callout Right Arrow Shape
    `RIGHT_BRACE` Right Brace Shape
    `RIGHT_BRACKET` Right Bracket Shape
    `ROUND_1_RECT` One Round Corner Rectangle Shape
    `ROUND_2_DIAG_RECT` Two Diagonal Round Corner Rectangle Shape
    `ROUND_2_SAME_RECT` Two Same-side Round Corner Rectangle Shape
    `ROUND_RECT` Round Corner Rectangle Shape
    `RT_TRIANGLE` Right Triangle Shape
    `SMILEY_FACE` Smiley Face Shape
    `SNIP_1_RECT` One Snip Corner Rectangle Shape
    `SNIP_2_DIAG_RECT` Two Diagonal Snip Corner Rectangle Shape
    `SNIP_2_SAME_RECT` Two Same-side Snip Corner Rectangle Shape
    `SNIP_ROUND_RECT` One Snip One Round Corner Rectangle Shape
    `SQUARE_TABS` Square Tabs Shape
    `STAR_10` Ten Pointed Star Shape
    `STAR_12` Twelve Pointed Star Shape
    `STAR_16` Sixteen Pointed Star Shape
    `STAR_24` Twenty Four Pointed Star Shape
    `STAR_32` Thirty Two Pointed Star Shape
    `STAR_4` Four Pointed Star Shape
    `STAR_5` Five Pointed Star Shape
    `STAR_6` Six Pointed Star Shape
    `STAR_7` Seven Pointed Star Shape
    `STAR_8` Eight Pointed Star Shape
    `STRAIGHT_CONNECTOR_1` Straight Connector 1 Shape
    `STRIPED_RIGHT_ARROW` Striped Right Arrow Shape
    `SUN` Sun Shape
    `SWOOSH_ARROW` Swoosh Arrow Shape
    `TEARDROP` Teardrop Shape
    `TRAPEZOID` Trapezoid Shape
    `TRIANGLE` Triangle Shape
    `UP_ARROW` Up Arrow Shape
    `UP_ARROW_CALLOUT` Callout Up Arrow Shape
    `UP_DOWN_ARROW` Up Down Arrow Shape
    `UP_DOWN_ARROW_CALLOUT` Callout Up Down Arrow Shape
    `UTURN_ARROW` U-Turn Arrow Shape
    `VERTICAL_SCROLL` Vertical Scroll Shape
    `WAVE` Wave Shape
    `WEDGE_ELLIPSE_CALLOUT` Callout Wedge Ellipse Shape
    `WEDGE_RECT_CALLOUT` Callout Wedge Rectangle Shape
    `WEDGE_ROUND_RECT_CALLOUT` Callout Wedge Round Rectangle Shape

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STShapeType` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINE

          public static final STShapeType LINE

      Line Shape

    - #### LINE_INV

          public static final STShapeType LINE_INV

      Line Inverse Shape

    - #### TRIANGLE

          public static final STShapeType TRIANGLE

      Triangle Shape

    - #### RT_TRIANGLE

          public static final STShapeType RT_TRIANGLE

      Right Triangle Shape

    - #### RECT

          public static final STShapeType RECT

      Rectangle Shape

    - #### DIAMOND

          public static final STShapeType DIAMOND

      Diamond Shape

    - #### PARALLELOGRAM

          public static final STShapeType PARALLELOGRAM

      Parallelogram Shape

    - #### TRAPEZOID

          public static final STShapeType TRAPEZOID

      Trapezoid Shape

    - #### NON_ISOSCELES_TRAPEZOID

          public static final STShapeType NON_ISOSCELES_TRAPEZOID

      Non-Isosceles Trapezoid Shape

    - #### PENTAGON

          public static final STShapeType PENTAGON

      Pentagon Shape

    - #### HEXAGON

          public static final STShapeType HEXAGON

      Hexagon Shape

    - #### HEPTAGON

          public static final STShapeType HEPTAGON

      Heptagon Shape

    - #### OCTAGON

          public static final STShapeType OCTAGON

      Octagon Shape

    - #### DECAGON

          public static final STShapeType DECAGON

      Decagon Shape

    - #### DODECAGON

          public static final STShapeType DODECAGON

      Dodecagon Shape

    - #### STAR_4

          public static final STShapeType STAR_4

      Four Pointed Star Shape

    - #### STAR_5

          public static final STShapeType STAR_5

      Five Pointed Star Shape

    - #### STAR_6

          public static final STShapeType STAR_6

      Six Pointed Star Shape

    - #### STAR_7

          public static final STShapeType STAR_7

      Seven Pointed Star Shape

    - #### STAR_8

          public static final STShapeType STAR_8

      Eight Pointed Star Shape

    - #### STAR_10

          public static final STShapeType STAR_10

      Ten Pointed Star Shape

    - #### STAR_12

          public static final STShapeType STAR_12

      Twelve Pointed Star Shape

    - #### STAR_16

          public static final STShapeType STAR_16

      Sixteen Pointed Star Shape

    - #### STAR_24

          public static final STShapeType STAR_24

      Twenty Four Pointed Star Shape

    - #### STAR_32

          public static final STShapeType STAR_32

      Thirty Two Pointed Star Shape

    - #### ROUND_RECT

          public static final STShapeType ROUND_RECT

      Round Corner Rectangle Shape

    - #### ROUND_1_RECT

          public static final STShapeType ROUND_1_RECT

      One Round Corner Rectangle Shape

    - #### ROUND_2_SAME_RECT

          public static final STShapeType ROUND_2_SAME_RECT

      Two Same-side Round Corner Rectangle Shape

    - #### ROUND_2_DIAG_RECT

          public static final STShapeType ROUND_2_DIAG_RECT

      Two Diagonal Round Corner Rectangle Shape

    - #### SNIP_ROUND_RECT

          public static final STShapeType SNIP_ROUND_RECT

      One Snip One Round Corner Rectangle Shape

    - #### SNIP_1_RECT

          public static final STShapeType SNIP_1_RECT

      One Snip Corner Rectangle Shape

    - #### SNIP_2_SAME_RECT

          public static final STShapeType SNIP_2_SAME_RECT

      Two Same-side Snip Corner Rectangle Shape

    - #### SNIP_2_DIAG_RECT

          public static final STShapeType SNIP_2_DIAG_RECT

      Two Diagonal Snip Corner Rectangle Shape

    - #### PLAQUE

          public static final STShapeType PLAQUE

      Plaque Shape

    - #### ELLIPSE

          public static final STShapeType ELLIPSE

      Ellipse Shape

    - #### TEARDROP

          public static final STShapeType TEARDROP

      Teardrop Shape

    - #### HOME_PLATE

          public static final STShapeType HOME_PLATE

      Home Plate Shape

    - #### CHEVRON

          public static final STShapeType CHEVRON

      Chevron Shape

    - #### PIE_WEDGE

          public static final STShapeType PIE_WEDGE

      Pie Wedge Shape

    - #### PIE

          public static final STShapeType PIE

      Pie Shape

    - #### BLOCK_ARC

          public static final STShapeType BLOCK_ARC

      Block Arc Shape

    - #### DONUT

          public static final STShapeType DONUT

      Donut Shape

    - #### NO_SMOKING

          public static final STShapeType NO_SMOKING

      No Smoking Shape

    - #### RIGHT_ARROW

          public static final STShapeType RIGHT_ARROW

      Right Arrow Shape

    - #### LEFT_ARROW

          public static final STShapeType LEFT_ARROW

      Left Arrow Shape

    - #### UP_ARROW

          public static final STShapeType UP_ARROW

      Up Arrow Shape

    - #### DOWN_ARROW

          public static final STShapeType DOWN_ARROW

      Down Arrow Shape

    - #### STRIPED_RIGHT_ARROW

          public static final STShapeType STRIPED_RIGHT_ARROW

      Striped Right Arrow Shape

    - #### NOTCHED_RIGHT_ARROW

          public static final STShapeType NOTCHED_RIGHT_ARROW

      Notched Right Arrow Shape

    - #### BENT_UP_ARROW

          public static final STShapeType BENT_UP_ARROW

      Bent Up Arrow Shape

    - #### LEFT_RIGHT_ARROW

          public static final STShapeType LEFT_RIGHT_ARROW

      Left Right Arrow Shape

    - #### UP_DOWN_ARROW

          public static final STShapeType UP_DOWN_ARROW

      Up Down Arrow Shape

    - #### LEFT_UP_ARROW

          public static final STShapeType LEFT_UP_ARROW

      Left Up Arrow Shape

    - #### LEFT_RIGHT_UP_ARROW

          public static final STShapeType LEFT_RIGHT_UP_ARROW

      Left Right Up Arrow Shape

    - #### QUAD_ARROW

          public static final STShapeType QUAD_ARROW

      Quad-Arrow Shape

    - #### LEFT_ARROW_CALLOUT

          public static final STShapeType LEFT_ARROW_CALLOUT

      Callout Left Arrow Shape

    - #### RIGHT_ARROW_CALLOUT

          public static final STShapeType RIGHT_ARROW_CALLOUT

      Callout Right Arrow Shape

    - #### UP_ARROW_CALLOUT

          public static final STShapeType UP_ARROW_CALLOUT

      Callout Up Arrow Shape

    - #### DOWN_ARROW_CALLOUT

          public static final STShapeType DOWN_ARROW_CALLOUT

      Callout Down Arrow Shape

    - #### LEFT_RIGHT_ARROW_CALLOUT

          public static final STShapeType LEFT_RIGHT_ARROW_CALLOUT

      Callout Left Right Arrow Shape

    - #### UP_DOWN_ARROW_CALLOUT

          public static final STShapeType UP_DOWN_ARROW_CALLOUT

      Callout Up Down Arrow Shape

    - #### QUAD_ARROW_CALLOUT

          public static final STShapeType QUAD_ARROW_CALLOUT

      Callout Quad-Arrow Shape

    - #### BENT_ARROW

          public static final STShapeType BENT_ARROW

      Bent Arrow Shape

    - #### UTURN_ARROW

          public static final STShapeType UTURN_ARROW

      U-Turn Arrow Shape

    - #### CIRCULAR_ARROW

          public static final STShapeType CIRCULAR_ARROW

      Circular Arrow Shape

    - #### LEFT_CIRCULAR_ARROW

          public static final STShapeType LEFT_CIRCULAR_ARROW

      Left Circular Arrow Shape

    - #### LEFT_RIGHT_CIRCULAR_ARROW

          public static final STShapeType LEFT_RIGHT_CIRCULAR_ARROW

      Left Right Circular Arrow Shape

    - #### CURVED_RIGHT_ARROW

          public static final STShapeType CURVED_RIGHT_ARROW

      Curved Right Arrow Shape

    - #### CURVED_LEFT_ARROW

          public static final STShapeType CURVED_LEFT_ARROW

      Curved Left Arrow Shape

    - #### CURVED_UP_ARROW

          public static final STShapeType CURVED_UP_ARROW

      Curved Up Arrow Shape

    - #### CURVED_DOWN_ARROW

          public static final STShapeType CURVED_DOWN_ARROW

      Curved Down Arrow Shape

    - #### SWOOSH_ARROW

          public static final STShapeType SWOOSH_ARROW

      Swoosh Arrow Shape

    - #### CUBE

          public static final STShapeType CUBE

      Cube Shape

    - #### CAN

          public static final STShapeType CAN

      Can Shape

    - #### LIGHTNING_BOLT

          public static final STShapeType LIGHTNING_BOLT

      Lightning Bolt Shape

    - #### HEART

          public static final STShapeType HEART

      Heart Shape

    - #### SUN

          public static final STShapeType SUN

      Sun Shape

    - #### MOON

          public static final STShapeType MOON

      Moon Shape

    - #### SMILEY_FACE

          public static final STShapeType SMILEY_FACE

      Smiley Face Shape

    - #### IRREGULAR_SEAL_1

          public static final STShapeType IRREGULAR_SEAL_1

      Irregular Seal 1 Shape

    - #### IRREGULAR_SEAL_2

          public static final STShapeType IRREGULAR_SEAL_2

      Irregular Seal 2 Shape

    - #### FOLDED_CORNER

          public static final STShapeType FOLDED_CORNER

      Folded Corner Shape

    - #### BEVEL

          public static final STShapeType BEVEL

      Bevel Shape

    - #### FRAME

          public static final STShapeType FRAME

      Frame Shape

    - #### HALF_FRAME

          public static final STShapeType HALF_FRAME

      Half Frame Shape

    - #### CORNER

          public static final STShapeType CORNER

      Corner Shape

    - #### DIAG_STRIPE

          public static final STShapeType DIAG_STRIPE

      Diagonal Stripe Shape

    - #### CHORD

          public static final STShapeType CHORD

      Chord Shape

    - #### ARC

          public static final STShapeType ARC

      Curved Arc Shape

    - #### LEFT_BRACKET

          public static final STShapeType LEFT_BRACKET

      Left Bracket Shape

    - #### RIGHT_BRACKET

          public static final STShapeType RIGHT_BRACKET

      Right Bracket Shape

    - #### LEFT_BRACE

          public static final STShapeType LEFT_BRACE

      Left Brace Shape

    - #### RIGHT_BRACE

          public static final STShapeType RIGHT_BRACE

      Right Brace Shape

    - #### BRACKET_PAIR

          public static final STShapeType BRACKET_PAIR

      Bracket Pair Shape

    - #### BRACE_PAIR

          public static final STShapeType BRACE_PAIR

      Brace Pair Shape

    - #### STRAIGHT_CONNECTOR_1

          public static final STShapeType STRAIGHT_CONNECTOR_1

      Straight Connector 1 Shape

    - #### BENT_CONNECTOR_2

          public static final STShapeType BENT_CONNECTOR_2

      Bent Connector 2 Shape

    - #### BENT_CONNECTOR_3

          public static final STShapeType BENT_CONNECTOR_3

      Bent Connector 3 Shape

    - #### BENT_CONNECTOR_4

          public static final STShapeType BENT_CONNECTOR_4

      Bent Connector 4 Shape

    - #### BENT_CONNECTOR_5

          public static final STShapeType BENT_CONNECTOR_5

      Bent Connector 5 Shape

    - #### CURVED_CONNECTOR_2

          public static final STShapeType CURVED_CONNECTOR_2

      Curved Connector 2 Shape

    - #### CURVED_CONNECTOR_3

          public static final STShapeType CURVED_CONNECTOR_3

      Curved Connector 3 Shape

    - #### CURVED_CONNECTOR_4

          public static final STShapeType CURVED_CONNECTOR_4

      Curved Connector 4 Shape

    - #### CURVED_CONNECTOR_5

          public static final STShapeType CURVED_CONNECTOR_5

      Curved Connector 5 Shape

    - #### CALLOUT_1

          public static final STShapeType CALLOUT_1

      Callout 1 Shape

    - #### CALLOUT_2

          public static final STShapeType CALLOUT_2

      Callout 2 Shape

    - #### CALLOUT_3

          public static final STShapeType CALLOUT_3

      Callout 3 Shape

    - #### ACCENT_CALLOUT_1

          public static final STShapeType ACCENT_CALLOUT_1

      Callout 1 Shape

    - #### ACCENT_CALLOUT_2

          public static final STShapeType ACCENT_CALLOUT_2

      Callout 2 Shape

    - #### ACCENT_CALLOUT_3

          public static final STShapeType ACCENT_CALLOUT_3

      Callout 3 Shape

    - #### BORDER_CALLOUT_1

          public static final STShapeType BORDER_CALLOUT_1

      Callout 1 with Border Shape

    - #### BORDER_CALLOUT_2

          public static final STShapeType BORDER_CALLOUT_2

      Callout 2 with Border Shape

    - #### BORDER_CALLOUT_3

          public static final STShapeType BORDER_CALLOUT_3

      Callout 3 with Border Shape

    - #### ACCENT_BORDER_CALLOUT_1

          public static final STShapeType ACCENT_BORDER_CALLOUT_1

      Callout 1 with Border and Accent Shape

    - #### ACCENT_BORDER_CALLOUT_2

          public static final STShapeType ACCENT_BORDER_CALLOUT_2

      Callout 2 with Border and Accent Shape

    - #### ACCENT_BORDER_CALLOUT_3

          public static final STShapeType ACCENT_BORDER_CALLOUT_3

      Callout 3 with Border and Accent Shape

    - #### WEDGE_RECT_CALLOUT

          public static final STShapeType WEDGE_RECT_CALLOUT

      Callout Wedge Rectangle Shape

    - #### WEDGE_ROUND_RECT_CALLOUT

          public static final STShapeType WEDGE_ROUND_RECT_CALLOUT

      Callout Wedge Round Rectangle Shape

    - #### WEDGE_ELLIPSE_CALLOUT

          public static final STShapeType WEDGE_ELLIPSE_CALLOUT

      Callout Wedge Ellipse Shape

    - #### CLOUD_CALLOUT

          public static final STShapeType CLOUD_CALLOUT

      Callout Cloud Shape

    - #### CLOUD

          public static final STShapeType CLOUD

      Cloud Shape

    - #### RIBBON

          public static final STShapeType RIBBON

      Ribbon Shape

    - #### RIBBON_2

          public static final STShapeType RIBBON_2

      Ribbon 2 Shape

    - #### ELLIPSE_RIBBON

          public static final STShapeType ELLIPSE_RIBBON

      Ellipse Ribbon Shape

    - #### ELLIPSE_RIBBON_2

          public static final STShapeType ELLIPSE_RIBBON_2

      Ellipse Ribbon 2 Shape

    - #### LEFT_RIGHT_RIBBON

          public static final STShapeType LEFT_RIGHT_RIBBON

      Left Right Ribbon Shape

    - #### VERTICAL_SCROLL

          public static final STShapeType VERTICAL_SCROLL

      Vertical Scroll Shape

    - #### HORIZONTAL_SCROLL

          public static final STShapeType HORIZONTAL_SCROLL

      Horizontal Scroll Shape

    - #### WAVE

          public static final STShapeType WAVE

      Wave Shape

    - #### DOUBLE_WAVE

          public static final STShapeType DOUBLE_WAVE

      Double Wave Shape

    - #### PLUS

          public static final STShapeType PLUS

      Plus Shape

    - #### FLOW_CHART_PROCESS

          public static final STShapeType FLOW_CHART_PROCESS

      Process Flow Shape

    - #### FLOW_CHART_DECISION

          public static final STShapeType FLOW_CHART_DECISION

      Decision Flow Shape

    - #### FLOW_CHART_INPUT_OUTPUT

          public static final STShapeType FLOW_CHART_INPUT_OUTPUT

      Input Output Flow Shape

    - #### FLOW_CHART_PREDEFINED_PROCESS

          public static final STShapeType FLOW_CHART_PREDEFINED_PROCESS

      Predefined Process Flow Shape

    - #### FLOW_CHART_INTERNAL_STORAGE

          public static final STShapeType FLOW_CHART_INTERNAL_STORAGE

      Internal Storage Flow Shape

    - #### FLOW_CHART_DOCUMENT

          public static final STShapeType FLOW_CHART_DOCUMENT

      Document Flow Shape

    - #### FLOW_CHART_MULTIDOCUMENT

          public static final STShapeType FLOW_CHART_MULTIDOCUMENT

      Multi-Document Flow Shape

    - #### FLOW_CHART_TERMINATOR

          public static final STShapeType FLOW_CHART_TERMINATOR

      Terminator Flow Shape

    - #### FLOW_CHART_PREPARATION

          public static final STShapeType FLOW_CHART_PREPARATION

      Preparation Flow Shape

    - #### FLOW_CHART_MANUAL_INPUT

          public static final STShapeType FLOW_CHART_MANUAL_INPUT

      Manual Input Flow Shape

    - #### FLOW_CHART_MANUAL_OPERATION

          public static final STShapeType FLOW_CHART_MANUAL_OPERATION

      Manual Operation Flow Shape

    - #### FLOW_CHART_CONNECTOR

          public static final STShapeType FLOW_CHART_CONNECTOR

      Connector Flow Shape

    - #### FLOW_CHART_PUNCHED_CARD

          public static final STShapeType FLOW_CHART_PUNCHED_CARD

      Punched Card Flow Shape

    - #### FLOW_CHART_PUNCHED_TAPE

          public static final STShapeType FLOW_CHART_PUNCHED_TAPE

      Punched Tape Flow Shape

    - #### FLOW_CHART_SUMMING_JUNCTION

          public static final STShapeType FLOW_CHART_SUMMING_JUNCTION

      Summing Junction Flow Shape

    - #### FLOW_CHART_OR

          public static final STShapeType FLOW_CHART_OR

      Or Flow Shape

    - #### FLOW_CHART_COLLATE

          public static final STShapeType FLOW_CHART_COLLATE

      Collate Flow Shape

    - #### FLOW_CHART_SORT

          public static final STShapeType FLOW_CHART_SORT

      Sort Flow Shape

    - #### FLOW_CHART_EXTRACT

          public static final STShapeType FLOW_CHART_EXTRACT

      Extract Flow Shape

    - #### FLOW_CHART_MERGE

          public static final STShapeType FLOW_CHART_MERGE

      Merge Flow Shape

    - #### FLOW_CHART_OFFLINE_STORAGE

          public static final STShapeType FLOW_CHART_OFFLINE_STORAGE

      Offline Storage Flow Shape

    - #### FLOW_CHART_ONLINE_STORAGE

          public static final STShapeType FLOW_CHART_ONLINE_STORAGE

      Online Storage Flow Shape

    - #### FLOW_CHART_MAGNETIC_TAPE

          public static final STShapeType FLOW_CHART_MAGNETIC_TAPE

      Magnetic Tape Flow Shape

    - #### FLOW_CHART_MAGNETIC_DISK

          public static final STShapeType FLOW_CHART_MAGNETIC_DISK

      Magnetic Disk Flow Shape

    - #### FLOW_CHART_MAGNETIC_DRUM

          public static final STShapeType FLOW_CHART_MAGNETIC_DRUM

      Magnetic Drum Flow Shape

    - #### FLOW_CHART_DISPLAY

          public static final STShapeType FLOW_CHART_DISPLAY

      Display Flow Shape

    - #### FLOW_CHART_DELAY

          public static final STShapeType FLOW_CHART_DELAY

      Delay Flow Shape

    - #### FLOW_CHART_ALTERNATE_PROCESS

          public static final STShapeType FLOW_CHART_ALTERNATE_PROCESS

      Alternate Process Flow Shape

    - #### FLOW_CHART_OFFPAGE_CONNECTOR

          public static final STShapeType FLOW_CHART_OFFPAGE_CONNECTOR

      Off-Page Connector Flow Shape

    - #### ACTION_BUTTON_BLANK

          public static final STShapeType ACTION_BUTTON_BLANK

      Blank Button Shape

    - #### ACTION_BUTTON_HOME

          public static final STShapeType ACTION_BUTTON_HOME

      Home Button Shape

    - #### ACTION_BUTTON_HELP

          public static final STShapeType ACTION_BUTTON_HELP

      Help Button Shape

    - #### ACTION_BUTTON_INFORMATION

          public static final STShapeType ACTION_BUTTON_INFORMATION

      Information Button Shape

    - #### ACTION_BUTTON_FORWARD_NEXT

          public static final STShapeType ACTION_BUTTON_FORWARD_NEXT

      Forward or Next Button Shape

    - #### ACTION_BUTTON_BACK_PREVIOUS

          public static final STShapeType ACTION_BUTTON_BACK_PREVIOUS

      Back or Previous Button Shape

    - #### ACTION_BUTTON_END

          public static final STShapeType ACTION_BUTTON_END

      End Button Shape

    - #### ACTION_BUTTON_BEGINNING

          public static final STShapeType ACTION_BUTTON_BEGINNING

      Beginning Button Shape

    - #### ACTION_BUTTON_RETURN

          public static final STShapeType ACTION_BUTTON_RETURN

      Return Button Shape

    - #### ACTION_BUTTON_DOCUMENT

          public static final STShapeType ACTION_BUTTON_DOCUMENT

      Document Button Shape

    - #### ACTION_BUTTON_SOUND

          public static final STShapeType ACTION_BUTTON_SOUND

      Sound Button Shape

    - #### ACTION_BUTTON_MOVIE

          public static final STShapeType ACTION_BUTTON_MOVIE

      Movie Button Shape

    - #### GEAR_6

          public static final STShapeType GEAR_6

      Gear 6 Shape

    - #### GEAR_9

          public static final STShapeType GEAR_9

      Gear 9 Shape

    - #### FUNNEL

          public static final STShapeType FUNNEL

      Funnel Shape

    - #### MATH_PLUS

          public static final STShapeType MATH_PLUS

      Plus Math Shape

    - #### MATH_MINUS

          public static final STShapeType MATH_MINUS

      Minus Math Shape

    - #### MATH_MULTIPLY

          public static final STShapeType MATH_MULTIPLY

      Multiply Math Shape

    - #### MATH_DIVIDE

          public static final STShapeType MATH_DIVIDE

      Divide Math Shape

    - #### MATH_EQUAL

          public static final STShapeType MATH_EQUAL

      Equal Math Shape

    - #### MATH_NOT_EQUAL

          public static final STShapeType MATH_NOT_EQUAL

      Not Equal Math Shape

    - #### CORNER_TABS

          public static final STShapeType CORNER_TABS

      Corner Tabs Shape

    - #### SQUARE_TABS

          public static final STShapeType SQUARE_TABS

      Square Tabs Shape

    - #### PLAQUE_TABS

          public static final STShapeType PLAQUE_TABS

      Plaque Tabs Shape

    - #### CHART_X

          public static final STShapeType CHART_X

      Chart X Shape

    - #### CHART_STAR

          public static final STShapeType CHART_STAR

      Chart Star Shape

    - #### CHART_PLUS

          public static final STShapeType CHART_PLUS

      Chart Plus Shape

  - ### Method Detail

    - #### values

          public static STShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STShapeType c : STShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STShapeType fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.